<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:18 CEST 2020 -->
<title>DiscoveryCallback</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DiscoveryCallback";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/myclay/claysdk/internal/ConstantsHolderClass.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/myclay/claysdk/internal/DiscoveryCallback.html" target="_top">Frames</a></li>
<li><a href="DiscoveryCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.myclay.claysdk.internal</div>
<h2 title="Class DiscoveryCallback" class="title">Class DiscoveryCallback</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.myclay.claysdk.internal.DiscoveryCallback</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.saltosystems.justinmobile.sdk.ble.IJustinBleResultAndDiscoverCallbacks, com.saltosystems.justinmobile.sdk.ble.IJustinBleResultBaseCallbacks, com.saltosystems.justinmobile.sdk.ble.IJustinBleResultCallbacks</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DiscoveryCallback</span>
extends java.lang.Object
implements com.saltosystems.justinmobile.sdk.ble.IJustinBleResultAndDiscoverCallbacks</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html" title="interface in com.myclay.claysdk.api">ILockDiscoveryCallback</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/internal/DiscoveryCallback.html#mCallback">mCallback</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/internal/DiscoveryCallback.html#DiscoveryCallback-com.myclay.claysdk.api.ILockDiscoveryCallback-">DiscoveryCallback</a></span>(<a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html" title="interface in com.myclay.claysdk.api">ILockDiscoveryCallback</a>&nbsp;callback)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/internal/DiscoveryCallback.html#onFailure-com.saltosystems.justinmobile.sdk.exceptions.JustinException-">onFailure</a></span>(com.saltosystems.justinmobile.sdk.exceptions.JustinException&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/internal/DiscoveryCallback.html#onPeripheralFound--">onPeripheralFound</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/myclay/claysdk/internal/DiscoveryCallback.html#onSuccess-com.saltosystems.justinmobile.sdk.model.Result-">onSuccess</a></span>(com.saltosystems.justinmobile.sdk.model.Result&nbsp;result)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="mCallback">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mCallback</h4>
<pre>private&nbsp;<a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html" title="interface in com.myclay.claysdk.api">ILockDiscoveryCallback</a> mCallback</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DiscoveryCallback-com.myclay.claysdk.api.ILockDiscoveryCallback-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DiscoveryCallback</h4>
<pre>public&nbsp;DiscoveryCallback(<a href="../../../../com/myclay/claysdk/api/ILockDiscoveryCallback.html" title="interface in com.myclay.claysdk.api">ILockDiscoveryCallback</a>&nbsp;callback)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onPeripheralFound--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPeripheralFound</h4>
<pre>public&nbsp;void&nbsp;onPeripheralFound()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onPeripheralFound</code>&nbsp;in interface&nbsp;<code>com.saltosystems.justinmobile.sdk.ble.IJustinBleResultAndDiscoverCallbacks</code></dd>
</dl>
</li>
</ul>
<a name="onSuccess-com.saltosystems.justinmobile.sdk.model.Result-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSuccess</h4>
<pre>public&nbsp;void&nbsp;onSuccess(com.saltosystems.justinmobile.sdk.model.Result&nbsp;result)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onSuccess</code>&nbsp;in interface&nbsp;<code>com.saltosystems.justinmobile.sdk.ble.IJustinBleResultCallbacks</code></dd>
</dl>
</li>
</ul>
<a name="onFailure-com.saltosystems.justinmobile.sdk.exceptions.JustinException-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onFailure</h4>
<pre>public&nbsp;void&nbsp;onFailure(com.saltosystems.justinmobile.sdk.exceptions.JustinException&nbsp;e)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onFailure</code>&nbsp;in interface&nbsp;<code>com.saltosystems.justinmobile.sdk.ble.IJustinBleResultBaseCallbacks</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/myclay/claysdk/internal/ConstantsHolderClass.html" title="class in com.myclay.claysdk.internal"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/myclay/claysdk/internal/DiscoveryCallback.html" target="_top">Frames</a></li>
<li><a href="DiscoveryCallback.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
